#
# spec file for package gupnp-igd (Version 0.1.6)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           gupnp-igd
Version:        0.1.6
Release:        6.4
Summary:        Library to handle UPnP IGD port mapping
License:        LGPLv2.1+
Group:          Development/Libraries/C and C++
Url:            http://www.gupnp.org/
Source:         %{name}-%{version}.tar.bz2
BuildRequires:  libgupnp-devel
BuildRequires:  python-devel
BuildRequires:  python-gobject2-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
gupnp-igd is a library to handle UPnP IGD port mapping. It is supposed
to have a very simple API.

%package -n libgupnp-igd-1_0-3
License:        LGPLv2.1+
Summary:        Library to handle UPnP IGD port mapping
Group:          Development/Libraries/C and C++

%description -n libgupnp-igd-1_0-3
gupnp-igd is a library to handle UPnP IGD port mapping. It is supposed
to have a very simple API.

%package -n python-gupnp-id
License:        LGPLv2.1+
Summary:        Library to handle UPnP IGD port mapping - Python Bindings
Group:          Development/Libraries/Python
Requires:       libgupnp-igd-1_0-3 = %{version}

%description -n python-gupnp-id
gupnp-igd is a library to handle UPnP IGD port mapping. It is supposed
to have a very simple API.

%package -n libgupnp-igd-devel
License:        LGPLv2.1+
Summary:        Library to handle UPnP IGD port mapping - Development Files
Group:          Development/Libraries/C and C++
Requires:       libgupnp-igd-1_0-3 = %{version}
Requires:       libgupnp-devel

%description -n libgupnp-igd-devel
gupnp-igd is a library to handle UPnP IGD port mapping. It is supposed
to have a very simple API.

%prep
%setup -q

%build
%configure --disable-static
%__make %{?jobs:-j%jobs}

%install
%makeinstall
find %{buildroot} -type f -name "*.la" -delete -print

%clean
rm -rf %{buildroot}

%post -n libgupnp-igd-1_0-3 -p /sbin/ldconfig

%postun -n libgupnp-igd-1_0-3 -p /sbin/ldconfig

%files -n libgupnp-igd-1_0-3
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README
%{_libdir}/*.so.*

%files -n python-gupnp-id
%defattr(-,root,root)
%dir %{python_sitearch}/gupnp
%{python_sitearch}/gupnp/igd.so

%files -n libgupnp-igd-devel
%defattr(-,root,root)
%{_includedir}/%{name}-1.0
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%dir %{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html
%{_datadir}/gtk-doc/html/%{name}

%changelog
* Tue Jan  5 2010 vuntz@opensuse.org
- Update to version 0.1.6:
  + Add python bindings
- Add python-devel, python-gobject2-devel BuildRequires, and
  package python bindings in python-gupnp-id subpackage.
* Mon Dec  7 2009 vuntz@opensuse.org
- Update to version 0.1.5:
  + Use the new GUPnP Context Manager from GUPnP 0.13
- Rename libgupnp-igd-1_0-2 to libgupnp-igd-1_0-3 to follow soname
  bump.
* Mon Nov 30 2009 dimstar@opensuse.org
- Update to version 0.1.4:
  + Make it compatible with the 0.13 API
  + Bug fixes
* Sat Jun 13 2009 vuntz@novell.com
- Initial package.
